Bug 1462047 - Upgrading rpmdeplint resulted in a version mismatch
Summary: Upgrading rpmdeplint resulted in a version mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdeplint
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-16 00:55 UTC by Roman Joost
Modified: 2017-07-07 10:49 UTC (History)
1 user (show)

Fixed In Version: rpmdeplint-1.3-2.fc26 rpmdeplint-1.3-2.fc25 rpmdeplint-1.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-27 00:33:17 UTC


Attachments (Terms of Use)

Description Roman Joost 2017-06-16 00:55:03 UTC
Description of problem:

I've upgraded only the rpmdeplint package today with:

  dnf update rpmdeplint

and it resulted in an error when running it:

[fedora@jenkins-rpmdeplint-slave-01 ~]$ rpmdeplint --help
Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 635, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 943, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 834, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.VersionConflict: (rpmdeplint 1.2 (/usr/lib/python3.5/site-packages), Requirement.parse('rpmdeplint==1.3'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/rpmdeplint", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2958, in <module>
    @_call_aside
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2944, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2971, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 637, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 650, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 829, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'rpmdeplint==1.3' distribution was not found and is required by the application

Investigating, I've realised that the python3-rpmdeplint package was not upgraded to 1.3.

Version-Release number of selected component (if applicable):

1.3

How reproducible: always


Steps to Reproduce:
1. Install rpmdeplint 1.2 and python3-rpmdeplint 1.2
2. Upgrade rpmdeplint, dnf picks only rpmdeplint and leaves python3-rpmdeplint at 1.2

Actual results:

see error above

Expected results:

upgrading rpmdeplint should upgrade python3-rpmdeplint too

Comment 1 Dan Callaghan 2017-06-19 07:19:15 UTC
https://gerrit.beaker-project.org/5713

Comment 2 Fedora Update System 2017-06-21 06:28:20 UTC
rpmdeplint-1.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6317022ec

Comment 3 Fedora Update System 2017-06-22 14:18:38 UTC
rpmdeplint-1.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a16b07515f

Comment 4 Fedora Update System 2017-06-23 03:26:30 UTC
rpmdeplint-1.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-46e3c100fe

Comment 5 Fedora Update System 2017-06-23 06:22:42 UTC
rpmdeplint-1.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f6317022ec

Comment 6 Fedora Update System 2017-06-27 00:33:17 UTC
rpmdeplint-1.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-06-30 22:21:47 UTC
rpmdeplint-1.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-07-07 10:49:44 UTC
rpmdeplint-1.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.